Ask Your Question
0

Asus AC1200 USB AC53

asked 2018-08-21 19:45:52 -0600

updated 2018-08-22 04:23:17 -0600

hhlp gravatar image

Getting the following error when attempting to compile from source and install:

make[2]:  No rule to make target '/home/user/Downloads/EW-7822ULC_Linux_Driver_1.0.1.6/core/rtw_cmd.o' , needed by '/home/user/Downloads/EW-7822ULC_Linux_Driver_1.0.1.6/88x2bu.o' . Stop.
make[1]:  [Makefile:1522: _module_/home/Downloads/EW-7822ULC_Linux_Driver_1.0.1.6] Error 2

I have also tried grabbing the source from https://github.com/bijju/AsusUSB-AC53rtl8822bu/blob/master/Makefile but I get the same result when attempting to compile.

What am I missing? Running Fedora28 on Qubes.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-08-22 08:46:42 -0600

fcomida gravatar image

Install git and run:

  • git clone https://github.com/bijju/AsusUSB-AC53rtl8822bu
  • cd AsusUSB-AC53rtl8822bu
  • make
  • sudo make install sudo modprobe -v 88x2bu

It doesn't compile for kernels > 4.15.0 so I providing a patch in the link below.

RTL8822bu PATCH

Apply the patch before running make:

patch -p1 < rtl8822bu_init_timer.patch

edit flag offensive delete link more

Comments

After patching, same result as above. Prior to the error above, make reports that it's "Entering directory '/usr/lib/modules/4.14.57-1.pvops.qubes.x86_64/build'". Then after the error, it reports that it's leaving the same directory.

Tordormore gravatar imageTordormore ( 2018-08-22 13:12:07 -0600 )edit

Have you installed kernel-devel?

/usr/lib/modules/4.14.57-1.pvops.qubes.x86_64/build must be a symlink to /usr/src/kernels/4.14.57-1.pvops.qubes.x86_64

fcomida gravatar imagefcomida ( 2018-08-22 16:22:58 -0600 )edit

Yep, installed kernel-devel.

Package kernel-devel-4.17.11-200.fc28.x86-64 is already installed, skipping.
Package kernel-devel-4.17.12-200.fc28.x86-64 is already installed, skipping.
Package kernel-devel-4.17.14-202.fc28.x86-64 is already installed, skipping.
Tordormore gravatar imageTordormore ( 2018-08-22 16:34:23 -0600 )edit

Wait, you previously said "Entering /usr/lib/modules/4.14.57-1.pvops.qubes.x86_64/build ..." and now kernel-devel is at version 4.17.14...

fcomida gravatar imagefcomida ( 2018-08-22 17:24:38 -0600 )edit

Correct....I'm confused as well...

Tordormore gravatar imageTordormore ( 2018-08-22 18:16:14 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-08-21 19:44:59 -0600

Seen: 61 times

Last updated: Aug 22